Bug 1438264 - latest i686 version of chromium-libs is much larger than release version
Summary: latest i686 version of chromium-libs is much larger than release version
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: rawhide
Hardware: i686
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-02 14:43 UTC by Andre Robatino
Modified: 2017-06-07 19:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-07 19:43:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Andre Robatino 2017-04-02 14:43:01 UTC
Description of problem:
The latest F25 i686 update version of chromium-libs is several times larger than the release version (163M vs. 43M). The x86_64 version is not. Don't know if this should be considered a bug.

Version-Release number of selected component (if applicable):
chromium-57.0.2987.133-1.fc25.i686

Comment 1 Andre Robatino 2017-04-02 18:37:56 UTC
Looking at koji builds, the issue exists in all F27 builds. In F26, chromium-libs-55.0.2883.87-1.fc26.i686.rpm is 46M, chromium-libs-56.0.2924.87-6.fc26.i686.rpm is 161M. I think there was a FTBFS before the F26 branch, and the size increased after that was fixed?

Comment 2 Andre Robatino 2017-05-16 03:48:55 UTC
Bug (if that's what it is) still exists with latest Chromium 58 builds.

chromium-libs-58.0.3029.110-1.fc26.i686.rpm: 167M
chromium-libs-58.0.3029.110-1.fc26.x86_64.rpm: 48M

chromium-libs-58.0.3029.110-1.fc27.i686.rpm: 168M
chromium-libs-58.0.3029.110-1.fc27.x86_64.rpm: 48M

Comment 3 Tom "spot" Callaway 2017-06-07 19:43:47 UTC
Okay, so here's why:

1) Chromium for i686 cannot build without turning down the debugging level. We OOM on the koji i686 builders. Thus, we pass -g1 to the compiler (only on i686).

2) Debuginfo generated for chromium is not useful. Because chromium is special.

Result: Overweight binary objects on i686.

I have not tried manually stripping them, because I suspect it will break chromium in weird and unpleasant ways. If you wish to experiment there, by all means, feel free, but I'm just as inclined to suggest you buy a more modern PC. :D

Please reopen if you have something we can do here.


Note You need to log in before you can comment on or make changes to this bug.